Bank Accounts

Create a bank account for a customer or account using a processor token (e.g. from Plaid).

export FRAME_API_KEY='sk_sandbox_...'

The Bank Account object

Attributes
idstring
objectstring
routing_numberstring
account_number_last_4string
account_typestring

checking or savings

bank_namenullable string
processor_namenullable string
statusstring
customer_idnullable string
account_idnullable string
livemodeboolean
createdinteger
updatedinteger
THE BANK ACCOUNT OBJECT
{
  "id": null,
  "object": "bank_account",
  "routing_number": null,
  "account_number_last_4": null,
  "account_type": null,
  "bank_name": null,
  "processor_name": null,
  "status": null,
  "customer_id": null,
  "account_id": null,
  "livemode": false,
  "created": 0,
  "updated": 0
}

Create bank account

Create a bank account for a customer or account using a processor token (e.g. from Plaid).

Body parameters
processorstring

Processor name (e.g. plaid)

processor_tokenstring

Token from the processor (e.g. Plaid public token)

customer_idnullable stringoptional

Customer ID to attach the bank account to (mutually exclusive with account_id)

account_idnullable stringoptional

Account ID to attach the bank account to (mutually exclusive with customer_id)

Returns

Bank account created successfully

POST/v1/bank_accounts
curl --request POST \
  --url https://api.framepayments.com/v1/bank_accounts \
  --header 'Authorization: Bearer API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "processor": "plaid",
  "processor_token": null
}'
RESPONSE
{
  "id": "00000000-0000-4000-8000-000000000001",
  "routing_number": "021000021",
  "account_number_last_4": "4242",
  "account_type": "checking",
  "bank_name": null,
  "processor_name": "plaid",
  "status": "pending",
  "object": "bank_account",
  "customer_id": "00000000-0000-4000-8000-000000000002",
  "account_id": null,
  "created": 1745107200,
  "updated": 1745107200,
  "livemode": false
}

Retrieve bank account

Retrieve a bank account by ID. Scoped to the authenticated merchant's customers and accounts.

Path parameters
idstring

Bank account ID

Returns

Bank account retrieved successfully

GET/v1/bank_accounts/{id}
curl --request GET \
  --url https://api.framepayments.com/v1/bank_accounts/a70cd72f-e74a-40f2-96a2-3f60714aac4a \
  --header 'Authorization: Bearer API_KEY'
RESPONSE
{
  "id": "00000000-0000-4000-8000-000000000001",
  "routing_number": "021000021",
  "account_number_last_4": "4242",
  "account_type": "checking",
  "bank_name": null,
  "processor_name": "plaid",
  "status": "pending",
  "object": "bank_account",
  "customer_id": "00000000-0000-4000-8000-000000000002",
  "account_id": null,
  "created": 1745107200,
  "updated": 1745107200,
  "livemode": false
}